1. API Dökümanı
  • Hızlı Başlangıç
    • Giriş
    • Ürün Özeti
    • Ödeme yaşam döngüsü
    • İade mantığı
    • Webhook ve bildirimler
    • Hata yönetimi
    • Güvenlik özeti
    • Entegrasyon mantığı
    • Sık sorulan sorular
  • Geliştiriciler
    • API referansı
    • İstek / Yanıt içeriği
    • Kimlik ve ortamlar
    • Webhook teknik ayrıntılar
    • Finekstra LLM / Kod asistanı
  • API Dökümanı
    • Çıkış IP bilgisi
      GET
    • Servis sağlık kontrolü
      GET
    • Ödeme başlat
      POST
    • Ön provizyon başlat
      POST
    • Ödeme linki oluştur
      POST
    • İşlem durumu sorgula
      GET
    • İşlem listesi sorgula
      GET
    • Ön provizyonu tahsil et
      POST
    • İade talebi oluştur
      POST
  1. API Dökümanı

İade talebi oluştur

Testing Env
https://api-sandbox.finekstra.com
Testing Env
https://api-sandbox.finekstra.com
POST
https://api-sandbox.finekstra.com
/payment/refund/{transaction_id}
Tek endpoint ile iade/iptal iş mantığını başlatır; uygunluk kuralları sunucu tarafında uygulanır.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
Successful Response
Body

🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-sandbox.finekstra.com/payment/refund/' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": 1,
    "reason": "string",
    "reference_no": "string"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": null,
    "error": {
        "code": "string",
        "message": "string",
        "http_status": 0,
        "user_message": "string",
        "field_errors": {
            "property1": "string",
            "property2": "string"
        },
        "details": {}
    },
    "meta": {}
}
Previous
Ön provizyonu tahsil et
Built with